Name: lxpanel-multiload-ng-plugin-gtk3
Version: 1.5.2
Release: alt1
Summary: Modern graphical system monitor, LxPanel plugin
License: GPL2
Url: https://udda.github.io/multiload-ng/
Group: Graphical desktop/Other
BuildRequires: intltool
BuildRequires: lxde-lxpanel-gtk3-devel
Requires: libgtk+3
Requires: libcairo
Requires: lxde-lxpanel-gtk3 >= 0.5.8
#Requires:	multiload-ng-common
Source: https://github.com/udda/multiload-ng/archive/v1.5.2.tar.gz
Patch1: build-fix.patch

%description
Modern graphical system monitor, LxPanel plugin

%package -n multiload-ng-systray-gtk3
Group: Graphical desktop/Other
Summary: Modern graphical system monitor, systray version

%description -n multiload-ng-systray-gtk3
Modern graphical system monitor, systray version

%package -n multiload-ng-standalone-gtk3
Group: Graphical desktop/Other
Summary: Modern graphical system monitor, standalone version

%description -n multiload-ng-standalone-gtk3
Modern graphical system monitor, standalone version

%prep
%setup -n multiload-ng-%version
%patch1 -p1

%build
./autogen.sh
%configure --prefix=/usr --with-gtk=3.0 --disable-deprecations \
--without-awn --without-indicator --with-lxpanel --without-mate --with-standalone --with-systray --without-xfce4
%make_build

%install
%makeinstall_std

%files -n multiload-ng-standalone-gtk3
%_bindir/multiload-ng
%_datadir/locale/*
/usr/share/applications/multiload-ng-standalone.desktop

%files -n multiload-ng-systray-gtk3
/etc/*
%_bindir/multiload-ng-systray
%_datadir/locale/*
%_datadir/applications/multiload-ng-systray.desktop

%files
/usr/lib64/*
%_datadir/locale/*

%changelog
* Wed Mar 13 2024 sfs <sfslinux@.gmail.com> 1.5.2-alt1
- Initial version
